Skip Navigation

This thread is resolved. Here is a description of the problem and solution.

Problem: Fatal error: Uncaught TypeError: Cannot access offset of type string on string in /var/www/wp-content/plugins/sitepress-multilingual-cms/vendor/wpml/core-api/core/OptionManager.php:45

Solution: Problema solucionado utilizando el workaround descrito en este ticket: https://wpml.org/forums/topic/illegal-string-offset/#post-13029029

Relevant Documentation:

Este es el foro de soporte técnico de WPML, el plugin multilingüe de WordPress.

Todas las personas pueden leerlo pero solo los clientes de WPML pueden ingresar comentarios. El equipo de WPML responde en los foros 6 días a la semana, 22 horas por día.

Hoy no hay asistentes de soporte disponibles en el foro Spanish. Siéntase libre de enviar sus tiques y les daremos trámite tan pronto como estemos disponibles en línea. Gracias por su comprensión.

Etiquetado: 

This topic contains 52 respuestas, has 2 mensajes.

Last updated by Carlos Rojas hace 4 meses, 3 semanas.

Assisted by: Carlos Rojas.

Autor Mensajes
septiembre 18, 2023 a las 11:39 am #14411433

juanO-10

Es imposible obtener una solución a este error, que persiste una y otra vez. Todos los hilos con este problema no tienen solución, y ya puse un tiket hace unas semanas y nadie da soporte.

Si actualizo a php 8.0 todo se rompe. Ahora aparece un aviso en mi web que hay un problema "warning".

A ver si alguien puede solucionarlo realmente.

septiembre 18, 2023 a las 12:00 pm #14411655

Carlos Rojas
Supporter

Languages: Inglés (English ) Español (Español )

Timezone: Europe/Madrid (GMT+01:00)

Hola,
Muchas gracias por contactarnos

1.- Puede compartir el mensaje de error para comprender mejor el problema?

Nota: tenga en cuenta que los 'warnings', son solamente notificaciones y no son errores en el código por lo que ninguna funcionalidad será afectada porque aparezcan este tipo de mensajes.

2.- Por favor comparte la información de depuración del sitio en la sección que aparece debajo de este ticket

En este enlace enlace encontrarás los pasos a seguir: https://wpml.org/es/faq/como-proporcionar-informacion-de-depuracion-para-obtener-soporte-mas-rapidamente/

Por favor no pegues la información de depuración del sitio dentro del ticket

Saludos,
Carlos

septiembre 20, 2023 a las 9:46 am #14428391

juanO-10

Este es el mensaje de warning: illegal string offset 'wpml\st\batch\translation\records_schema_installed' in /var/www/wp-content/plugins/sitepress-multilingual-cms/vendor/wpml/core-api/core/optionmanager.php on line 45

Si, ya vi en otro hilo que es una notificación, y seguí los pasos para ocultar ese aviso, pero que esté oculto no significa que haya desaparecido el fallo, el cual lo produce este plugin multiidioma.

Para poder estar en la version php.8.0 tengo que desactivar el plugin, cuando no está activo todo funciona a la perfección. Vuelvo a activarlo y se bloquea la web y el acceso al entorno de trabajo

septiembre 20, 2023 a las 10:29 am #14429113

Carlos Rojas
Supporter

Languages: Inglés (English ) Español (Español )

Timezone: Europe/Madrid (GMT+01:00)

Muchas gracias por su mensaje.

Me gustaría solicitar acceso temporal al sitio (wp-admin y FTP) con el objetivo de ver el problema más de cerca. Su próxima respuesta será privada y en ella encontrará los campos correspondientes a las credenciales solicitadas.

Aunque no realizaré ningún cambio en el sitio siempre es recomendable crear una copia de seguridad del sitio completo antes de compartir las credenciales de acceso.

septiembre 20, 2023 a las 1:09 pm #14430255

Carlos Rojas
Supporter

Languages: Inglés (English ) Español (Español )

Timezone: Europe/Madrid (GMT+01:00)

Hola,
Muchas gracias por compartir las credenciales solicitadas

He revisado la configuración del sitio y veo un problema. Por favor realice estos pasos para solucionarlo:
- Cree una copia de seguridad del sitio completo
- Vaya a WPML -> Soporte -> Enlace 'solución de problemas' (hidden link)
- Seleccione la casilla 'Esta operación restablecerá las tablas de idiomas de WPML y lo reinstalará. Se eliminará todo idioma personalizado que haya agregado.'
- Haga click en el botón 'Borrar información de idioma y volver a llenar los idiomas' que se activará
- Compruebe si el problema con PHP 8 persiste

Nota: Por favor active PHP 8 para poder reproducir el problema

septiembre 20, 2023 a las 1:17 pm #14430295

juanO-10

Hola.
Si realizo eso perderé las páginas traducidas?
No me queda claro con la indicación: "Se eliminará todo idioma personalizado que haya agregado"
Qué sucederá exactamente con las páginas ya traducidas?

septiembre 20, 2023 a las 2:25 pm #14431231

Carlos Rojas
Supporter

Languages: Inglés (English ) Español (Español )

Timezone: Europe/Madrid (GMT+01:00)

Hola,

No se perderá ningún contenido. Esta opción corrige problemas en la tabla de los idiomas en la base de datos, es por ello que puede afectar a idiomas personalizados, pero no es el caso de su sitio web.

Puede realizar los pasos con total tranquilidad. Por favor no olvide crear una copia de seguridad del sitio completo antes de realizar los pasos pues es una buena práctica que le permitirá recuperar el sitio en caso de que ocurra algún problema relacionado con WPML o no.

septiembre 20, 2023 a las 2:58 pm #14431543

juanO-10

He seguido los pasos indicados.
He actualizado la versión PHP 8.0 y el sigue apareciendo el error crítico con todo bloqueado.

septiembre 20, 2023 a las 3:17 pm #14431649

Carlos Rojas
Supporter

Languages: Inglés (English ) Español (Español )

Timezone: Europe/Madrid (GMT+01:00)

He vuelto a acceder al sitio y la versión instalada sigue siendo v7.4. Necesito poder ver y reproducir el problema para aislar su causa y encontrar una solución.

Puede dejar activa la versión de PHP 8 o crear un sitio staging con una copia del sitio en producción y reproducir el problema?

septiembre 20, 2023 a las 3:19 pm #14431653

juanO-10

Ok, la activo de nuevo. Avísame para restaurar la anterior sino tendré todo caído. Gracias

septiembre 20, 2023 a las 3:55 pm #14432129

Carlos Rojas
Supporter

Languages: Inglés (English ) Español (Español )

Timezone: Europe/Madrid (GMT+01:00)

Hola,

Me sigue apareciendo la versión de PHP 7.4.34-dev en el sitio.

Por favor cree un sitio staging (puede pedirle a sus proveedores de hosting que lo hagan por usted) y active la versión de PHP 8 para poder ver el problema.

He establecido su próxima respuesta como privada para que pueda compartir las credenciales de acceso al sitio staging de manera segura.

septiembre 22, 2023 a las 7:06 am #14443711

juanO-10

Hola, lleva desde ayer creándose el sitio / entorno seguro. No termina de completarse.
No sé cómo avanzar con este asunto.

septiembre 22, 2023 a las 8:47 am #14444851

Carlos Rojas
Supporter

Languages: Inglés (English ) Español (Español )

Timezone: Europe/Madrid (GMT+01:00)

Hola,

Avanzaremos cuando nosotros podamos reproducir el problema. Le recomiendo que contacte con sus proveedores de hosting y les pida que le ayuden a crear el sitio staging.

septiembre 25, 2023 a las 8:56 am #14455935

juanO-10

Buenos días Carlos, he conseguido crear el sitio de ensayo, podemos continuar para intentar resolver el problema? Quizas debamos volver a comunicarnos por un chat privado¿ Cuentame, gracias

septiembre 25, 2023 a las 9:10 am #14456189

Carlos Rojas
Supporter

Languages: Inglés (English ) Español (Español )

Timezone: Europe/Madrid (GMT+01:00)

Hola.

Genial! He establecido su próximo mensaje como privado para que pueda compartir las credenciales de acceso al sitio de ensayo. Por favor recuerde activar PHP 8 para poder ver el problema.

This ticket is now closed. If you're a WPML client and need related help, please open a new support ticket.